## mx4j.server
Interface MBeanRepository

All Superinterfaces:
  java.lang.Cloneable

public interface MBeanRepository
extends java.lang.Cloneable

The MBeanServer implementation delegates to implementations of this interface the storage of registered MBeans.

All necessary synchronization code is taken care by the MBeanServer, so implementations can be coded without caring of synchronization issues.

Version:
  $Revision: 1.6 $

Method Summary
`java.lang.Object` `clone()` Clones this MBean repository
`MBeanMetaData` `get(javax.management.ObjectName name)` Returns the metadata information associated with the given object name.
`java.util.Iterator` `iterator()` Returns an iterator on the metadata stored in this repository.
`void` `put(javax.management.ObjectName name, MBeanMetaData metadata)` Inserts the given metadata associated with the given object name into this repository.
`void` `remove(javax.management.ObjectName name)` Removes the metadata associated with the given object name from this repository.
`int` `size()` Returns the size of this repository.

Method Detail

### get

    public MBeanMetaData get(javax.management.ObjectName name)

  Returns the metadata information associated with the given object name.

  See Also:
    `put(javax.management.ObjectName, mx4j.server.MBeanMetaData)`

### put

    public void put(javax.management.ObjectName name,
                    MBeanMetaData metadata)

  Inserts the given metadata associated with the given object name into this repository.

  See Also:
    `get(javax.management.ObjectName)`

### remove

    public void remove(javax.management.ObjectName name)

  Removes the metadata associated with the given object name from this repository.

### size

    public int size()

  Returns the size of this repository.

### iterator

    public java.util.Iterator iterator()

  Returns an iterator on the metadata stored in this repository.

### clone

    public java.lang.Object clone()

  Clones this MBean repository

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.